# Create Release Action

A [Gitea Action](https://docs.gitea.com/usage/actions/overview) to create a release in a Gitea repository.

You can use the Action as follows:

```yaml
name: Create Release
on:
  schedule:
  - cron: "0 9 * * 0"
jobs:
  release:
    runs-on: ubuntu-latest
    steps:
      - uses: actions/checkout@master
      - uses: https://git.tainton.uk/actions/create-release-action@v1.0.0
        with:
          release_name: "v1.2.3"
          tag: "v1.2.3"
          draft: "false"
          prerelease: "false"
```

## Properties

| Property       | Required | Description                                                         |
| -------------- | -------- | ------------------------------------------------------------------- |
| `release_name` | **Yes**  | Name of the release.                                                |
| `tag`          | **Yes**  | Name of the tag to bind to the release.                             |
| `body`         | No       | Main body of the release.                                           |
| `draft`        | No       | If the release should be a draft. Defaults to `"false"`.            |
| `prerelease`   | No       | If the release should be a prerelease. Defaults to `"false"`.       |
| `server_url`   | No       | The URL of the Gitea server. Defaults to `${{ gitea.server_url }}`. |
| `repository`   | No       | The name of the repository. Defaults to `${{ gitea.repository }}`.  |
| `token`        | No       | Gitea API token. Defaults to `${{ gitea.token }}`.                  |
